package main

import "fmt"

func leggiOperandi() (op1 int, op2 int) {
	fmt.Print("Inserisci il primo intero: ")
	fmt.Scan(&op1)
	fmt.Print("Inserisci il secondo intero: ")
	fmt.Scan(&op2)
	return
}

/* Visualizza un menu e resituisce '+', '-', '*', '/', 'S'
a seconda della scelta dell'utente */
func menu() rune {
	var opz int
	for {
		fmt.Println("1) +")
		fmt.Println("2) -")
		fmt.Println("3) *")
		fmt.Println("4) /")
		fmt.Println("5) Termina")
		fmt.Println()
		fmt.Print("Opzione scelta: ")
		fmt.Scan(&opz)
		switch opz {
		case 1:
			return '+'
		case 2:
			return '-'
		case 3:
			return '*'
		case 4:
			return '/'
		case 5:
			return 'S'
		default:
			fmt.Printf("Opzione non valida\n")
		}
	}
}

func opera(x, y int, c rune) float64 {
	switch c {
	case '+':
		return float64(x + y)
	case '-':
		return float64(x - y)
	case '*':
		return float64(x * y)
	case '/':
		return float64(x) / float64(y)
	default:
		return -1. // CAN'T HAPPEN!!!
	}
}

func main() {
	op1, op2 := leggiOperandi()
	for {
		c := menu()
		if c == 'S' {
			break
		}
		ris := opera(op1, op2, c)
		fmt.Printf("Risultato: %d%c%d=%.2f\n", op1, c, op2, ris)
	}
}
